For the complete documentation index, see llms.txt. This page is also available as Markdown.

List contacts

Gets a list of resources.

get

Supports RQL filtering, sorting, and pagination via query string parameters.

Responses
200

OK

application/json
get/public/v1/notifications/contacts
GET /public/v1/notifications/contacts HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "blocked": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "deleted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "revision": 1,
      "name": "text",
      "blockedReason": "text",
      "email": "text",
      "status": "text",
      "identity": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1
      },
      "directories": [
        {
          "id": "text",
          "revision": 1
        }
      ],
      "chat": true,
      "optOuts": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "lastUsed": "2026-01-01T00:00:00.000Z"
        }
      ],
      "user": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "email": "text",
        "status": "text",
        "phone": {
          "prefix": "text",
          "number": "text"
        },
        "firstName": "text",
        "lastName": "text",
        "lastLoginAt": "2026-01-01T00:00:00.000Z",
        "settings": {
          "cultureCode": "text",
          "dateFormat": "text",
          "languageCode": "text",
          "numberFormat": {
            "decimalSeparator": "text",
            "groupSeparator": "text"
          },
          "timeFormat": "text",
          "timeZone": "text",
          "optOuts": {
            "objectTypes": [
              "text"
            ]
          }
        },
        "accounts": [
          {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1,
            "type": "Client",
            "status": "Active"
          }
        ],
        "currentAccount": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        }
      }
    }
  ]
}

Last updated

Was this helpful?